class Changer expands Mutator;

event PostBeginPlay()
{
	SetTimer(0.1,False);
}

event Timer()
{
	DoChangeMonster();
}

function DoChangeMonster()
{
	local ScriptedPawn S;
	local MChanger M;
	local ThingFactory T;
	local string Proto;
	local bool bFoundMatch;

	foreach AllActors (class 'ThingFactory',T)
	{
		if ( T != None )
		{
			proto = Caps(T.Prototype);
			if ( proto != "" )
			{
				if ( Right((proto),8)=="BEHEMOTH" && !bFoundMatch)
				{
					T.Prototype = class'NsMonster.NsBehemoth';
					bFoundMatch = True;
				}
				else if ( Right((proto),11)=="LESSERBRUTE" && !bFoundMatch)
				{
					T.Prototype = class'NsMonster.NsLesserBrute';
					bFoundMatch = True;
				}
				else if ( Right((proto),5)=="BRUTE" && !bFoundMatch)
				{
					T.Prototype = class'NsMonster.NsBrute';
					bFoundMatch = True;
				}
				else if ( Right((proto),9)=="DEVILFISH" && !bFoundMatch)
				{
					T.Prototype = class'NsMonster.NsDevilFish';
					bFoundMatch = True;
				}
				else if ( Right((proto),11)=="GIANTGASBAG" && !bFoundMatch)
				{
					T.Prototype = class'NsMonster.NsGiantGasbag';
					bFoundMatch = True;
				}
				else if ( Right((proto),6)=="GASBAG" && !bFoundMatch)
				{
					T.Prototype = class'NsMonster.NsGasbag';
					bFoundMatch = True;
				}
				else if ( Right((proto),12)=="LEGLESSKRALL" && !bFoundMatch)
				{
					T.Prototype = class'NsMonster.NsLeglessKrall';
					bFoundMatch = True;
				}
				else if ( Right((proto),10)=="KRALLELITE" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsKrallElite';
					bFoundMatch = True;
				}
				else if ( Right((proto),5)=="KRALL" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsKrall';
					bFoundMatch = True;
				}
				else if ( Right((proto),10)=="GIANTMANTA" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsGiantManta';
					bFoundMatch = True;
				}
				else if ( Right((proto),9)=="CAVEMANTA" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsCaveManta';
					bFoundMatch = True;
				}
				else if ( Right((proto),5)=="MANTA" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsManta';
					bFoundMatch = True;
				}
				else if ( Right((proto),14)=="MERCENARYELITE" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsMercenaryElite';
					bFoundMatch = True;
				}
				else if ( Right((proto),9)=="MERCENARY" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsMercenary';
					bFoundMatch = True;
				}
				else if ( Right((proto),5)=="PUPAE" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsPupae';
					bFoundMatch = True;
				}
				else if ( Right((proto),5)=="QUEEN" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsQueen';
					bFoundMatch = True;
				}
				else if ( Right((proto),12)=="SKAARJSNIPER" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsSkaarjSniper';
					bFoundMatch = True;
				}
				else if ( Right((proto),13)=="SKAARJOFFICER" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsSkaarjOfficer';
					bFoundMatch = True;
				}
				else if ( Right((proto),14)=="SKAARJINFANTRY" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsSkaarjInfantry';
					bFoundMatch = True;
				}
				else if ( Right((proto),12)=="SKAARJGUNNER" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsSkaarjGunner';
					bFoundMatch = True;
				}
				else if ( Right((proto),13)=="SKAARJTROOPER" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsSkaarjTrooper';
					bFoundMatch = True;
				}
				else if ( Right((proto),11)=="SKAARJSCOUT" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsSkaarjScout';
					bFoundMatch = True;
				}
				else if ( Right((proto),10)=="SKAARJLORD" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsSkaarjLord';
					bFoundMatch = True;
				}
				else if ( Right((proto),15)=="SKAARJBERSERKER" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsSkaarjBerserker';
					bFoundMatch = True;
				}
				else if ( Right((proto),14)=="SKAARJASSASSIN" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsSkaarjAssassin';
					bFoundMatch = True;
				}
				else if ( Right((proto),9)=="ICESKAARJ" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsIceSkaarj';
					bFoundMatch = True;
				}
				else if ( Right((proto),13)=="SKAARJWARRIOR" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsSkaarjWarrior';
					bFoundMatch = True;
				}
				else if ( Right((proto),5)=="SLITH" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsSlith';
					bFoundMatch = True;
				}
				else if ( Right((proto),5)=="SQUID" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsSquid';
					bFoundMatch = True;
				}
				else if ( Right((proto),8)=="TENTACLE" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsTentacle';
					bFoundMatch = True;
				}
				else if ( Right((proto),10)=="STONETITAN" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsStoneTitan';
					bFoundMatch = True;
				}
				else if ( Right((proto),5)=="TITAN" && !bFoundMatch)
				{
					T.Prototype = class'NsMonster.NsTitan';
					bFoundMatch = True;
				}
				else if ( Right((proto),7)=="WARLORD" && !bFoundMatch )
				{
					T.Prototype = class'NsMonster.NsWarlord';
					bFoundMatch = True;
				}
			}
		}
	}

	foreach AllActors (class'ScriptedPawn',S)
	{
		if ( S != None && S.Health > 0)
		{
			M = spawn(class'MChanger',S,,S.Location,S.Rotation);
		}
	}

}